program BaseCalc;

{************************************************************************
*                                                                       *
*                        Base Calculator Program                        *
*                Copyright (C) 1993-2000, John Zaitseff                 *
*                                                                       *
************************************************************************}

{ Author:    John Zaitseff <J.Zaitseff@zap.org.au>
  Date:      1st April, 2000.
  Version:   2.1

  This file is the main program file for the Base Calculator.  The Base
  Calculator is a full-featured base integer calculator, operating in
  decimal, hexadecimal, binary and octal, with a word size of 8, 16, 32,
  64, 96 or 128 bits.

  Note that Borland Delphi 4 or later is required to compile many of the
  units in this program.

  This program is free software, and may be distributed and/or modified
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either Version 2 of the License or any later
  version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program (in the file LICENSE.TXT); if not, write to:
            Free Software Foundation, Inc.,
            675 Mass Ave, Cambridge, MA 02139, USA.

  Your comments, suggestions, corrections and enhancements are always
  welcome!  Please send these to:

  Postal:   John Zaitseff,
            4 McCabe Close,
            Menai, NSW, 2234,
            Australia.
  E-mail:   J.Zaitseff@zap.org.au
  Web:      http://www.zap.org.au/software/basecalc/
}


{$IFNDEF WIN32}
Error: 'Compile under Borland Delphi for Win32 only'
{$ENDIF}


uses
  Forms,
  MainFrm in 'MainFrm.pas' {MainWin},
  AboutFrm in 'AboutFrm.pas' {AboutWin},
  OptionsFrm in 'OptionsFrm.pas' {OptionsWin},
  Calc in 'Calc.pas',
  BCConfig in 'BCConfig.pas',
  StringRes in 'StringRes.pas',
  BCFonts in 'Fonts\BCFonts.pas',
  BCDisp in 'Units\BCDisp.pas',
  BCDefs in 'Units\BCDefs.pas',
  Tips in 'Units\Tips.pas',
  Math128 in 'Units\Math128.pas',
  VerRes in 'Units\VerRes.pas';


{$R *.RES}


begin
  Application.Initialize;
  Application.Title := 'Base Calculator';
  Application.HelpFile := 'BASECALC.HLP';
  Application.CreateForm(TMainWin, MainWin);
  Application.Run;
end.

