unit BCDefs;

{************************************************************************
*                                                                       *
*                      Base Calculator Definitions                      *
*                Copyright (C) 1993-2000, John Zaitseff                 *
*                                                                       *
************************************************************************}

{ Author:    John Zaitseff <J.Zaitseff@zap.org.au>
  Date:      1st April, 2000.
  Version:   2.1

  This file provides the various definitions for Base Calculator, and is
  shared between the main program and the BCalcDisplay custom component.

  This file is supplied as part of an application under the GNU General
  Public License.  Hence this file also falls under the same license.
}


{$IFNDEF WIN32}
Error: 'Compile under Borland Delphi for Win32 only'
{$ENDIF}


interface


type
  { Calculator mode, bit size and operation }
  TCalcMode = (cmDecimal, cmHexadecimal, cmBinary, cmOctal);
  TCalcSize = (cs8Bit, cs16Bit, cs32Bit, cs64Bit, cs96Bit, cs128Bit);
  TCalcOp   = (coNone, coAdd, coSubtract, coMultiply, coDivide, coMod,
               coNot, coNeg, coAnd, coNand, coOr, coNor, coXor, coEqv,
               coSHL, coSHR, coROL, coROR);


const
  { Conversion tables for TCalcMode and TCalcSize }
  CalcModeToInt  : array [TCalcMode] of integer = (10, 16, 2, 8);
  CalcSizeToBits : array [TCalcSize] of integer = (8, 16, 32, 64, 96, 128);


implementation

end.

